Bug 1917011 - cockpit-ovirt-dashboard confilct with cockpit-bridge cockpit-system - Engine no longer boots
Summary: cockpit-ovirt-dashboard confilct with cockpit-bridge cockpit-system - Engine ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-distribution
Classification: oVirt
Component: ovirt-host
Version: 4.4.4
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: ovirt-4.4.5
: 4.4.5
Assignee: Yedidyah Bar David
QA Contact: Pavol Brilla
URL:
Whiteboard:
: 1911910 (view as bug list)
Depends On:
Blocks: 1921014
TreeView+ depends on / blocked
 
Reported: 2021-01-16 14:16 UTC by penguinpages
Modified: 2021-04-26 09:57 UTC (History)
15 users (show)

Fixed In Version: ovirt-host-4.4.5-1
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-13 10:40:17 UTC
oVirt Team: Integration
pm-rhel: ovirt-4.4+
pm-rhel: planning_ack+
sbonazzo: devel_ack+
gdeolive: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 112990 0 None MERGED spec: Remove cockpit-dashboard 2021-02-07 10:58:05 UTC

Description penguinpages 2021-01-16 14:16:23 UTC
Description of problem:
Package conflict with Cockpit-bridge and cockpit-dashboard when convertion from CentOS to CentOS streams made

Version-Release number of selected component (if applicable):


How reproducible:
100%


Steps to Reproduce:
1. <convert system from fully updated CentOS8 to CentOS8 Streams
2. dnf update --allowerasing   to get through conflicts
3. dnf install cockpit-ovirt-dashboard  to redeploy engine as it gets broken and no longer starts

Actual results:
[root@odin ~]# dnf update
Last metadata expiration check: 0:59:15 ago on Sat 16 Jan 2021 08:08:43 AM EST.
Error:
 Problem 1: package ovirt-host-4.4.1-4.el8.x86_64 requires cockpit-dashboard, but none of the providers can be installed
  - package cockpit-bridge-234-1.el8.x86_64 conflicts with cockpit-dashboard < 233 provided by cockpit-dashboard-217-1.el8.noarch
  - cannot install the best update candidate for package ovirt-host-4.4.1-4.el8.x86_64
  - cannot install the best update candidate for package cockpit-bridge-217-1.el8.x86_64
 Problem 2: problem with installed package ovirt-host-4.4.1-4.el8.x86_64
  - package ovirt-host-4.4.1-4.el8.x86_64 requires cockpit-dashboard, but none of the providers can be installed
  - package cockpit-system-234-1.el8.noarch obsoletes cockpit-dashboard provided by cockpit-dashboard-217-1.el8.noarch
  - cannot install the best update candidate for package cockpit-dashboard-217-1.el8.noarch
 Problem 3: package ovirt-hosted-engine-setup-2.4.9-1.el8.noarch requires ovirt-host >= 4.4.0, but none of the providers can be installed
  - package ovirt-host-4.4.1-4.el8.x86_64 requires cockpit-dashboard, but none of the providers can be installed
  - package ovirt-host-4.4.1-1.el8.x86_64 requires cockpit-dashboard, but none of the providers can be installed
  - package ovirt-host-4.4.1-2.el8.x86_64 requires cockpit-dashboard, but none of the providers can be installed
  - package ovirt-host-4.4.1-3.el8.x86_64 requires cockpit-dashboard, but none of the providers can be installed
  - package cockpit-system-234-1.el8.noarch obsoletes cockpit-dashboard provided by cockpit-dashboard-217-1.el8.noarch
  - cannot install the best update candidate for package ovirt-hosted-engine-setup-2.4.9-1.el8.noarch
  - cannot install the best update candidate for package cockpit-system-217-1.el8.noarch
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)


Expected results:
< packages to install without conflict>

Additional info:
## no way to get a clean system without conflicts but with cockpit-ovirt-dashboard
[root@odin ~]# dnf update --allowerasing
Last metadata expiration check: 0:57:39 ago on Sat 16 Jan 2021 08:08:43 AM EST.
Dependencies resolved.
=========================================================================================================================================================================================================================================
 Package                                                             Architecture                                     Version                                                 Repository                                            Size
=========================================================================================================================================================================================================================================
Upgrading:
 cockpit-bridge                                                      x86_64                                           234-1.el8                                               baseos                                               597 k
 cockpit-system                                                      noarch                                           234-1.el8                                               baseos                                               3.1 M
     replacing  cockpit-dashboard.noarch 217-1.el8
Removing dependent packages:
 cockpit-ovirt-dashboard                                             noarch                                           0.14.17-1.el8                                           @ovirt-4.4                                            16 M
 ovirt-host                                                          x86_64                                           4.4.1-4.el8                                             @ovirt-4.4                                            11 k
 ovirt-hosted-engine-setup                                           noarch                                           2.4.9-1.el8                                             @ovirt-4.4                                           1.3 M

Transaction Summary
=========================================================================================================================================================================================================================================
Upgrade  2 Packages
Remove   3 Packages

Total download size: 3.7 M
Is this ok [y/N]: y
Downloading Packages:
(1/2): cockpit-bridge-234-1.el8.x86_64.rpm                                                                                                                                                               183 kB/s | 597 kB     00:03
(2/2): cockpit-system-234-1.el8.noarch.rpm                                                                                                                                                               943 kB/s | 3.1 MB     00:03
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                    564 kB/s | 3.7 MB     00:06
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                                                                                                 1/1
  Upgrading        : cockpit-bridge-234-1.el8.x86_64                                                                                                                                                                                 1/8
  Upgrading        : cockpit-system-234-1.el8.noarch                                                                                                                                                                                 2/8
  Erasing          : ovirt-host-4.4.1-4.el8.x86_64                                                                                                                                                                                   3/8
  Obsoleting       : cockpit-dashboard-217-1.el8.noarch                                                                                                                                                                              4/8
  Cleanup          : cockpit-system-217-1.el8.noarch                                                                                                                                                                                 5/8
  Erasing          : cockpit-ovirt-dashboard-0.14.17-1.el8.noarch                                                                                                                                                                    6/8
  Erasing          : ovirt-hosted-engine-setup-2.4.9-1.el8.noarch                                                                                                                                                                    7/8
  Cleanup          : cockpit-bridge-217-1.el8.x86_64                                                                                                                                                                                 8/8
  Running scriptlet: cockpit-bridge-217-1.el8.x86_64                                                                                                                                                                                 8/8
  Verifying        : cockpit-bridge-234-1.el8.x86_64                                                                                                                                                                                 1/8
  Verifying        : cockpit-bridge-217-1.el8.x86_64                                                                                                                                                                                 2/8
  Verifying        : cockpit-system-234-1.el8.noarch                                                                                                                                                                                 3/8
  Verifying        : cockpit-system-217-1.el8.noarch                                                                                                                                                                                 4/8
  Verifying        : cockpit-dashboard-217-1.el8.noarch                                                                                                                                                                              5/8
  Verifying        : cockpit-ovirt-dashboard-0.14.17-1.el8.noarch                                                                                                                                                                    6/8
  Verifying        : ovirt-host-4.4.1-4.el8.x86_64                                                                                                                                                                                   7/8
  Verifying        : ovirt-hosted-engine-setup-2.4.9-1.el8.noarch                                                                                                                                                                    8/8
Installed products updated.

Upgraded:
  cockpit-bridge-234-1.el8.x86_64                                                                                     cockpit-system-234-1.el8.noarch

Removed:
  cockpit-ovirt-dashboard-0.14.17-1.el8.noarch                                      ovirt-host-4.4.1-4.el8.x86_64                                      ovirt-hosted-engine-setup-2.4.9-1.el8.noarch

Complete!
[root@odin ~]# dnf install cockpit-ovirt-dashboard
Last metadata expiration check: 0:58:44 ago on Sat 16 Jan 2021 08:08:43 AM EST.
Dependencies resolved.
=========================================================================================================================================================================================================================================
 Package                                               Architecture                       Version                                     Repository                                                                                    Size
=========================================================================================================================================================================================================================================
Installing:
 cockpit-ovirt-dashboard                               noarch                             0.14.17-1.el8                               ovirt-4.4                                                                                    3.5 M
Installing dependencies:
 cockpit-dashboard                                     noarch                             217-1.el8                                   ovirt-4.4-copr:copr.fedorainfracloud.org:sbonazzo:EL8_collection                             201 k
 ovirt-host                                            x86_64                             4.4.1-4.el8                                 ovirt-4.4                                                                                     13 k
 ovirt-hosted-engine-setup                             noarch                             2.4.9-1.el8                                 ovirt-4.4                                                                                    227 k
Downgrading:
 cockpit-bridge                                        x86_64                             217-1.el8                                   ovirt-4.4-copr:copr.fedorainfracloud.org:sbonazzo:EL8_collection                             583 k
 cockpit-system                                        noarch                             217-1.el8                                   ovirt-4.4-copr:copr.fedorainfracloud.org:sbonazzo:EL8_collection                             2.6 M

Transaction Summary
=========================================================================================================================================================================================================================================
Install    4 Packages
Downgrade  2 Packages

Total download size: 7.1 M
Is this ok [y/N]: y
Downloading Packages:
(1/6): cockpit-dashboard-217-1.el8.noarch.rpm                                                                                                                                                             62 kB/s | 201 kB     00:03
(2/6): cockpit-bridge-217-1.el8.x86_64.rpm                                                                                                                                                               176 kB/s | 583 kB     00:03
(3/6): cockpit-system-217-1.el8.noarch.rpm                                                                                                                                                               778 kB/s | 2.6 MB     00:03
(4/6): ovirt-host-4.4.1-4.el8.x86_64.rpm                                                                                                                                                                 3.8 kB/s |  13 kB     00:03
(5/6): ovirt-hosted-engine-setup-2.4.9-1.el8.noarch.rpm                                                                                                                                                   64 kB/s | 227 kB     00:03
(6/6): cockpit-ovirt-dashboard-0.14.17-1.el8.noarch.rpm                                                                                                                                                  911 kB/s | 3.5 MB     00:03
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                    668 kB/s | 7.1 MB     00:10
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                                                                                                 1/1
  Downgrading      : cockpit-bridge-217-1.el8.x86_64                                                                                                                                                                                 1/8
  Downgrading      : cockpit-system-217-1.el8.noarch                                                                                                                                                                                 2/8
  Installing       : cockpit-dashboard-217-1.el8.noarch                                                                                                                                                                              3/8
  Installing       : cockpit-ovirt-dashboard-0.14.17-1.el8.noarch                                                                                                                                                                    4/8
  Installing       : ovirt-hosted-engine-setup-2.4.9-1.el8.noarch                                                                                                                                                                    5/8
  Running scriptlet: ovirt-hosted-engine-setup-2.4.9-1.el8.noarch                                                                                                                                                                    5/8
  Installing       : ovirt-host-4.4.1-4.el8.x86_64                                                                                                                                                                                   6/8
  Cleanup          : cockpit-system-234-1.el8.noarch                                                                                                                                                                                 7/8
  Cleanup          : cockpit-bridge-234-1.el8.x86_64                                                                                                                                                                                 8/8
  Running scriptlet: cockpit-bridge-234-1.el8.x86_64                                                                                                                                                                                 8/8
  Verifying        : cockpit-bridge-217-1.el8.x86_64                                                                                                                                                                                 1/8
  Verifying        : cockpit-bridge-234-1.el8.x86_64                                                                                                                                                                                 2/8
  Verifying        : cockpit-system-217-1.el8.noarch                                                                                                                                                                                 3/8
  Verifying        : cockpit-system-234-1.el8.noarch                                                                                                                                                                                 4/8
  Verifying        : cockpit-dashboard-217-1.el8.noarch                                                                                                                                                                              5/8
  Verifying        : cockpit-ovirt-dashboard-0.14.17-1.el8.noarch                                                                                                                                                                    6/8
  Verifying        : ovirt-host-4.4.1-4.el8.x86_64                                                                                                                                                                                   7/8
  Verifying        : ovirt-hosted-engine-setup-2.4.9-1.el8.noarch                                                                                                                                                                    8/8
Installed products updated.

Downgraded:
  cockpit-bridge-217-1.el8.x86_64                                                                                     cockpit-system-217-1.el8.noarch

Installed:
  cockpit-dashboard-217-1.el8.noarch                    cockpit-ovirt-dashboard-0.14.17-1.el8.noarch                    ovirt-host-4.4.1-4.el8.x86_64                    ovirt-hosted-engine-setup-2.4.9-1.el8.noarch

Complete!
[root@odin ~]# dnf update
Last metadata expiration check: 0:59:15 ago on Sat 16 Jan 2021 08:08:43 AM EST.
Error:
 Problem 1: package ovirt-host-4.4.1-4.el8.x86_64 requires cockpit-dashboard, but none of the providers can be installed
  - package cockpit-bridge-234-1.el8.x86_64 conflicts with cockpit-dashboard < 233 provided by cockpit-dashboard-217-1.el8.noarch
  - cannot install the best update candidate for package ovirt-host-4.4.1-4.el8.x86_64
  - cannot install the best update candidate for package cockpit-bridge-217-1.el8.x86_64
 Problem 2: problem with installed package ovirt-host-4.4.1-4.el8.x86_64
  - package ovirt-host-4.4.1-4.el8.x86_64 requires cockpit-dashboard, but none of the providers can be installed
  - package cockpit-system-234-1.el8.noarch obsoletes cockpit-dashboard provided by cockpit-dashboard-217-1.el8.noarch
  - cannot install the best update candidate for package cockpit-dashboard-217-1.el8.noarch
 Problem 3: package ovirt-hosted-engine-setup-2.4.9-1.el8.noarch requires ovirt-host >= 4.4.0, but none of the providers can be installed
  - package ovirt-host-4.4.1-4.el8.x86_64 requires cockpit-dashboard, but none of the providers can be installed
  - package ovirt-host-4.4.1-1.el8.x86_64 requires cockpit-dashboard, but none of the providers can be installed
  - package ovirt-host-4.4.1-2.el8.x86_64 requires cockpit-dashboard, but none of the providers can be installed
  - package ovirt-host-4.4.1-3.el8.x86_64 requires cockpit-dashboard, but none of the providers can be installed
  - package cockpit-system-234-1.el8.noarch obsoletes cockpit-dashboard provided by cockpit-dashboard-217-1.el8.noarch
  - cannot install the best update candidate for package ovirt-hosted-engine-setup-2.4.9-1.el8.noarch
  - cannot install the best update candidate for package cockpit-system-217-1.el8.noarch
(try to add '--allowerasing' to command line to replace conflicting packages or '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)
[root@odin ~]#

Comment 1 RHEL Program Management 2021-01-17 16:22:31 UTC
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Comment 2 Yedidyah Bar David 2021-01-18 07:02:54 UTC
Please note that Nir pushed another relevant patch [1]. Mine was enough for fixing 'dnf update', but I didn't verify the implications.

[1] https://gerrit.ovirt.org/c/ovirt-host/+/113025

Comment 3 Sandro Bonazzola 2021-01-18 09:37:57 UTC
*** Bug 1911910 has been marked as a duplicate of this bug. ***

Comment 4 Yedidyah Bar David 2021-01-25 08:07:37 UTC
QE: I didn't verify anything other than 'dnf install'. Please make sure that it's still possible to to a hosted-engine deployment from cockpit. If this requires installing additional packages, please detail which ones. Also please note that while the bug affects only Stream (right now), you should verify on el 8.3, as we currently postponed the plan to migrate oVirt to Stream.

Comment 5 penguinpages 2021-01-25 15:21:01 UTC
..please note that while the bug affects only Stream (right now), you should verify on el 8.3, as we currently postponed the plan to migrate oVirt to Stream....

With CentOS being end of support.. I "Assumed" that conversion to streams would have been fairly simple..  It seems that was bad idea.

And with this being one of those "core components" to manage the hardware.. once I did the switch, I ended up destroying the environment.. and their is no "going back"

I understand the concept of CentOS Streams as a more "agile" OS .. and so I support it on some sides.. but without safety net with things like "oVirt engine" ... this makes me a bit more concerned.


I considered going to use the RHEL (new 16 free subscriptions) but it will not help me (and others like me) where we learn on CentOS and avoid getting in trouble with $$ .. to feed into what we use in production... Also learn the tech before deciding path and process for production.   But when I need more than base subscription channels.. the "16 free subscriptions" does little for me. I need gluster, HCI, and Identity Manager. aka.. datacenter in a small box... all of which are premium channel subscriptions.

Question:
1) When will centos streams get oVirt support?
2) If, due premium feature "subscription" features... I have to stick with Streams..  will I be able to post and get feedback of issues here and get response/support, or be cut off as it is a "streams" issue?

Comment 6 Yedidyah Bar David 2021-03-02 15:22:22 UTC
(In reply to penguinpages from comment #5)
> Question:
> 1) When will centos streams get oVirt support?

We do not have concrete plans yet.

We started working on this with the intention of full support in 4.4.5,
but had to postpone this.

> 2) If, due premium feature "subscription" features... I have to stick with
> Streams..  will I be able to post and get feedback of issues here and get
> response/support, or be cut off as it is a "streams" issue?

Once oVirt supports CentOS Stream, it will be supported :-).

Before that, if you do try it and file bugs, they'll definitely be handled,
based on priority, just like any other bug - but please remember that bugs
that require fixes in CentOS Stream, will have to wait until they are
available there.

Comment 7 Anthony 2021-03-07 07:49:08 UTC
(In reply to Yedidyah Bar David from comment #6)
> Once oVirt supports CentOS Stream, it will be supported :-).

According to the oVirt website, they have supported CentOS Stream since oVirt 4.4.1. So, almost exactly seven months.

Comment 8 Yedidyah Bar David 2021-03-07 08:49:50 UTC
(In reply to Anthony from comment #7)
> (In reply to Yedidyah Bar David from comment #6)
> > Once oVirt supports CentOS Stream, it will be supported :-).
> 
> According to the oVirt website, they have supported CentOS Stream since
> oVirt 4.4.1. So, almost exactly seven months.

Link, please. Thanks.

If you refer to [1], it says "Tech Preview".

See also bug 1907831. It currently targets 4.4.6, but I am not sure it will not be postponed further.

[1] https://www.ovirt.org/download/

Comment 9 Anthony 2021-03-07 09:10:24 UTC
(In reply to Yedidyah Bar David from comment #8)
> (In reply to Anthony from comment #7)
> > (In reply to Yedidyah Bar David from comment #6)
> > > Once oVirt supports CentOS Stream, it will be supported :-).
> > 
> > According to the oVirt website, they have supported CentOS Stream since
> > oVirt 4.4.1. So, almost exactly seven months.
> 
> Link, please. Thanks.
> 
> If you refer to [1], it says "Tech Preview".
> 
> See also bug 1907831. It currently targets 4.4.6, but I am not sure it will
> not be postponed further.
> 
> [1] https://www.ovirt.org/download/

So the official Red Hat position is that the "Tech Preview" parenthetical, which appears to describe what CentOS Stream is, as well as the oVirt 4.4.1 release announcement[1] which states, "You can now use CentOS Stream as an alternative to CentOS Linux on non-production systems.", are not intended to be used as indicators that CentOS Stream is a supported operating system for oVirt? That's disappointing.

[1] https://blogs.ovirt.org/2020/07/ovirt-4-4-1-now-available/


Note You need to log in before you can comment on or make changes to this bug.